net.sourceforge.pmd.properties

## Class PropertyAccessorTest

- java.lang.Object
- - net.sourceforge.pmd.testframework.RuleTst
  - - net.sourceforge.pmd.testframework.SimpleAggregatorTst
    - - net.sourceforge.pmd.properties.PropertyAccessorTest

    public class PropertyAccessorTest
    extends SimpleAggregatorTst

Author:
  Brian Remedios

### Nested Class Summary

### Nested classes/interfaces inherited from class net.sourceforge.pmd.testframework.SimpleAggregatorTst

`SimpleAggregatorTst.CustomXmlTestClassMethodsRunner`

### Field Summary

### Fields inherited from class net.sourceforge.pmd.testframework.RuleTst

`DEFAULT_LANGUAGE, DEFAULT_LANGUAGE_VERSION`

### Constructor Summary

Constructors
Constructor and Description
`PropertyAccessorTest()`

### Method Summary

Methods
`void` `setUp()`
`static junit.framework.Test` `suite()`
`void` `testBooleans()`
`void` `testFloats()`
`void` `testIntegers()`
`void` `testStrings()`

### Methods inherited from class net.sourceforge.pmd.testframework.SimpleAggregatorTst

`addRule, runTests, runTests, runTests, testAll`

### Methods inherited from class net.sourceforge.pmd.testframework.RuleTst

`extractTestsFromXml, extractTestsFromXml, extractTestsFromXml, findRule, getCleanRuleName, runTest, runTestFromString, runTestFromString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PropertyAccessorTest

    public PropertyAccessorTest()

### Method Detail

#### setUp

    public void setUp()

#### testIntegers

    public void testIntegers()

#### testBooleans

    public void testBooleans()

#### testFloats

    public void testFloats()
                    throws ReportException

Throws:
  `ReportException`

#### testStrings

    public void testStrings()

#### suite

    public static junit.framework.Test suite()